
/* darkstat: a network traffic analyzer
 * (c) 2001-2002, Emil Mikulic.
 */

#ifndef __DARKSTAT_H
#define __DARKSTAT_H

#define COPYRIGHT "Copyright (C) 2001-2002, Emil Mikulic."

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

/* if we're doing a debug compile, turn off inlining */
#ifndef NDEBUG
# ifdef inline
#  undef inline
# endif
# define inline
#endif

#include "gettext.h"
#define _ gettext

/* so I grew up on Turbo Pascal */
typedef unsigned char byte;	/*  8 bits */
typedef unsigned short word;	/* 16 bits */
typedef unsigned int dword;	/* 32 bits */

#define DEFAULT_WEBPORT 666
#define DEFAULT_WEBIP	INADDR_ANY
extern int webport, webip;
#define HOST_REPORT_LIMIT 25
#define PORT_REPORT_LIMIT 50

#define DB_FILE_NAME "darkstat.db"
#define ERRDB_FILE_NAME "darkstat.err"
#define DAYLOG_FILE_NAME "darkstat.daylog"
#define SPYLOG_FILE_NAME "darkstat.spylog"
extern char *errdb_file, *db_file, *daylog_file, *fprefix;

#define MSEC 1000  /* for usleep() */
#define SOCKET int /* WinSock? err... */

#ifndef max
#define max(a,b) ( ((a)>(b))?(a):(b) )
#endif

#ifndef min
#define min(a,b) ( ((a)<(b))?(a):(b) )
#endif

typedef enum {MAIN, IN, OUT, TOTAL} sort_type;

extern int verbose, shutting_down;

char *build_str(char *format, ...);
void freakout(const char *err);
void save_db(const char *filename);

#endif

